// Borrowed from Roger Sheppard's keyboard handler
// Copyright Roger Shepherd 2008

// This file contains various constants and table to help docode the
// key presses and releases on a PS2 keyboard
//
// For simplicity we do only a simplifed decode
//
#define DT_SIZE     144

#define PS2_NOTAKEY    ((unsigned char)(0xFF))
#define PS2_SHIFT      ((unsigned char)(0xFE))
#define PS2_CTRL       ((unsigned char)(0xFD))
#define PS2_CAPS       ((unsigned char)(0xFC))
#define PS2_NUM        ((unsigned char)(0XFB))

#define PS2_RELEASE    ((unsigned char)(0xF0))
#define PS2_EXT      ((unsigned char)(0xE0))
#define PS2_PAUSE      ((unsigned char)(0xE1))

#define PS2_MINNONKEY  ((unsigned char)(0xE1))
